Bug 13339 - kernel-2.2.16-3 compilation failure in ksyms.c
Summary: kernel-2.2.16-3 compilation failure in ksyms.c
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL: http://www.aracnet.com/~griffint/buil...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-03 01:46 UTC by Terry Griffin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 00:09:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Terry Griffin 2000-07-03 01:46:06 UTC
While attempting to build a lightweight kernel for an old 486 laptop from
the 2.2.16-3 sources I got several compilation errors in ksyms.c relating
to SMP support even though I had not selected the SMP option in 'make
xconfig'. Using the same .config file with pristine 2.2.16 sources did not
result in any compilation errors. The .config file and make log are
available in the tar file at the URL.

Comment 1 Terry Griffin 2000-07-03 02:05:37 UTC
Hmm - I did a 'make mrproper' and started over with the same
.config file and got no errors. Doing a 'make clean' was not
sufficient to clear up the problem. I had previously done a
'make oldconfig' in the same directory using Red Hat's stock
config file for i686 SMP. Something was left over from that
operation that caused the problem and only 'make mrproper'
fixed it, so there may still be a bug here somewhere.


Comment 2 Alan Cox 2002-12-15 00:09:34 UTC
Known limitation of the kernel make stuff.. it finally got fixed in the 2.5
tree. Before that its a known "feature" you need to completely clean the tree
switching between SMP and non-SMP



Note You need to log in before you can comment on or make changes to this bug.